Skip to main content

PUT /api/v1/events/{id}

Updates an existing event's metadata. Only the event creator (or admin) can update an event.

Authentication

Required. User must be the event Creator or an Admin.

Request

ParameterTypeInDescription
idint64pathRequired. Numeric event ID
namestringbodyUpdated event name in English
tagsstring[]bodyUpdated array of tag slugs
versus_namesstring[]bodyUpdated names of the opposing sides
versus_imagesstring[]bodyUpdated image URLs for each side
has_drawboolbodyWhether the event supports a draw outcome

Example

curl -X PUT "https://api.intotes.com/api/v1/events/1" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Will ETH reach $5000 by end of June 2026?",
"tags": ["crypto", "ethereum", "price"],
"versus_names": ["Yes", "No"],
"versus_images": [],
"has_draw": false
}'

Response

200 OK

{
"id": 1,
"name": "Will ETH reach $5000 by end of June 2026?",
"name_ru": "ETH достигнет $5000 к июню?",
"tags": ["crypto", "ethereum", "price"],
"image_url": "https://images.intotes.com/events/eth-5000.png",
"status": "started",
"is_active": true,
"created_at": "2026-03-15T12:00:00Z",
"versus_names": ["Yes", "No"],
"versus_images": [],
"has_draw": false,
"pools": []
}

403 Forbidden

{
"error": "insufficient permissions"
}

404 Not Found

{
"error": "event not found"
}